* <a href="http://www.linux-foundation.org/download/#app-battery" target="_blank">Download</a> and install the <b>lsb-designer</b> package for the LSB version chosen. Do <b>not</b> use <tt>--nodeps</tt> option, the dependency checks are part of the test. Application should be installed to <tt>/opt/lsb/appbat</tt>. If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-designer</b> should show up in the Development and/or GUIDesigner categories, if present.
- Was the installation successful?
* Run the command: <tt>/opt/lsb/appbat/bin/designer</tt>.
- Expected result: The designer windows come up. (6 windows, with the "New Form" window active)
* Choose the widget template, click "Create".
- Expected result: An empty window, "untitled" appears.
* Add 5 labels, 2 Line-edits.<br />Rename Line-edits to operand0 and operand1 and the right-most label to addition.<br />Set operand0 and operand1 text to 0.<br />Change the rest of the widgets to look like the following figure:<br /><br /><img src="images/app_battery/3.2-qt4-fvt-figure.png" alt="Form" /><br />
- Expected result: Form looks like the figure.
* Save the form as example.ui.
- Expected result: File example.ui created in current directory.
* Press CTRL-Q on the keyboard.
- Expected result: Designer will be closed.<br /><br /><font size="+1"><b>The remaining steps are optional, as they require an LSB development environment to be installed (lsb-build-base, lsb-build-cc, lsb-build-c++, lsb-build-desktop, lsb-build-qt4)</b></font>
* Create a directory designer-fvt: <tt>mkdir /tmp/designer-fvt</tt><br />Move example.ui to the created directory: <tt>mv example.ui /tmp/designer-fvt</tt><br />Change to the created directory: <tt>cd /tmp/designer-fvt</tt><br />Copy the source files to build the application to the created directory: <tt>cp /opt/lsb/appbat/share/designer/example/* .</tt>
- Expected result: Files main.cpp, exampledialog.cpp and exampledialog.h are copied into the directory.
* Set the environment variable LSB_MODULES: <tt>export LSB_MODULES=Toolkit_Qt</tt><br />Run the command: <tt>/opt/lsb/bin/qmake -project</tt>
- Expected result: designer-fvt.pro is created.
* Run the command: <tt>/opt/lsb/bin/qmake</tt>
- Expected result: Makefile is created.
* Run the command: <tt>make</tt>
- Expected result: designer-fvt executable is created.
* Run the command: <tt>./designer-fvt</tt>
- Expected result: designer-fvt application runs, and should look like the designed example.ui.
