* <a href="http://www.linux-foundation.org/download/#app-battery" target="_blank">Download</a> and install the <b>lsb-pidgin</b> package for the LSB version chosen. Do <b>not</b> use <tt>--nodeps</tt> option, the dependency checks are part of the test. Application should be installed to <tt>/opt/lsb/appbat</tt>. If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-pidgin</b> should show up in the Network and/or InstantMessaging categories, if present.
- Was the installation successful?
* Run the command: <tt>/opt/lsb/appbat/bin/pidgin</tt>.
- Expected result: The pidgin application is launched with the <tt>"Accounts"</tt> window, and possibly the <tt>"Buddies"</tt> window (if pidgin has been run before).
* Select the <tt>"Preferences"</tt> item in the system tray icon menu.
- Expected result: The <tt>"Preferences"</tt> window appears.
* Close the <tt>"Preferences"</tt> window. Select the <tt>"Show Buddy List"</tt> item in the system tray icon menu, then select <tt>"Buddies/Sort Buddies/Manually"</tt> in the <tt>"Buddy List"</tt> menu. Select the <tt>"Buddies/Sort Buddies"</tt> item again.
- Expected result: The value <tt>"Manually"</tt> remains selected in <tt>"Sort Buddies"</tt> option of the  <tt>"Buddy List/Buddies"</tt> menu.
* Click the <tt>"Add"</tt> button on the bottom of the <tt>"Accounts"</tt> window.
- Expected result: The <tt>"Add Account"</tt> window appears.
* Select <tt>"IRC"</tt> in the <tt>"Protocol"</tt> option and enter a <tt>"Screen Name"</tt>. If <tt>"Server"</tt> is blank, enter <tt>"irc.freenode.net"</tt>, then click the <tt>"Save"</tt> button.
- Expected result: The window <tt>"Add Account"</tt> is closed and the new account appears in the <tt>"Accounts"</tt> window, and the connection to freenode should begin, with the <tt>"freenode-connect"</tt> window appearing once the connection is complete.
* In the bottom pane of the <tt>"freenode-connect"</tt> window, type <tt>"/join #test"</tt> and the <tt>"Enter"</tt> key.
- Expected result: A new tab is created and selected labeled <tt>"#test"</tt> and there should be people in the room.
* Press "CTRL-M" on the keyboard.
- Expected result: The <tt>"New Instant Message"</tt> dialog appears and the cursor is in the <tt>"Name"</tt> entry.
* Type your own user name in the <tt>"Screen Name"</tt> box and press the <tt>"Enter"</tt> key.
- Expected result: A new tab appears to the right of previous tabs.
* In the bottom box type a message and press the <tt>"Enter"</tt> key.
- Expected result: The conversation dialog appears with the message in the tab.
* Close the conversation dialog by clicking on <tt>"Conversation"</tt> in the menu bar and then <tt>"Close"</tt>.
- Expected result: One tab closes.
