* <a href="http://www.linux-foundation.org/download/#app-battery" target="_blank">Download</a> and install the <b>lsb-scribus</b> package for the LSB version chosen. Do <b>not</b> use <tt>--nodeps</tt> option, the dependency checks are part of the test. Application should be installed to <tt>/opt/lsb/appbat</tt>. If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-scribus</b> should show up in the Office and/or Publishing categories, if present.
- Was the installation successful?
* Run the command <tt>/opt/lsb/appbat/bin/scribus</tt>.
- Expected result: The Scribus window comes up.
* Select <tt>File -&gt; New</tt> from the pull-down menu.
- Expected result: The <tt>New Document</tt> dialog is displayed.
* Click <tt>OK</tt> on the <tt>New Document</tt> dialog.
- Expected result: The dialog disappears, and the main Scribus window displays a blank document.
* Click on the <tt>Insert Text Frame</tt> button (the eighth button from the left, with a letter "A" in it), click in the upper left corner of the margins, drag the mouse down and to the right to define a box on the document, and release the mouse.
- Expected result: A box, outlined in red, is displayed.
* Double-click in the box and type some text.
- Expected result: The typed text appears in the box.
* Click on the <tt>Insert Picture</tt> button (to the right of the <tt>Insert Text Frame</tt> button), click on the document below the defined text box, drag the mouse down and to the right to define a box, and release the mouse.
- Expected result: A picture box will be displayed, outlined in red, with the interior crossed out.
* Right-click on the picture box, select <tt>Get Picture...</tt>, and type <tt>/opt/lsb/appbat/share/pixmaps/scribusicon.png</tt> into the <tt>File name</tt> field of the dialog box.
- Expected result: The picture box displays the Scribus icon, a blue circle containing a pen.
* Select <tt>File -&gt; Save As</tt> from the pull-down menu, and type "lsb" in the "File Name" field.
- Expected result: The document should save.
* Press the CTRL-W key.
- Expected result: The document should be cleared from the Scribus window.
* Select <tt>File -&gt; Open</tt> from the pull-down menu, and type "lsb" into the "File name" field of the file open dialog, and click <tt>Open</tt>.
- Expected result: The document just created is displayed again in the Scribus window.
* Press the CTRL-Q key.
- Expected result: Scribus exits.
